org.apache.ignite.internal.processors.cache.query

## Class GridCacheFieldsQueryErrorFuture

- java.lang.Object
- - org.apache.ignite.internal.util.future.GridFinishedFuture<Collection<T>>
  - - org.apache.ignite.internal.processors.cache.query.GridCacheQueryErrorFuture<List<?>>
    - - org.apache.ignite.internal.processors.cache.query.GridCacheFieldsQueryErrorFuture

All Implemented Interfaces:
  Externalizable, Serializable, IgniteInternalFuture<Collection<List<?>>>, CacheQueryFuture<List<?>>

    public class GridCacheFieldsQueryErrorFuture
    extends GridCacheQueryErrorFuture<List<?>>

Error future for fields query.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.util.future.GridFinishedFuture

`ctx`

### Constructor Summary

Constructors
Constructor and Description
`GridCacheFieldsQueryErrorFuture(GridKernalContext ctx, Throwable th, boolean incMeta)`

### Method Summary

Methods
`IgniteInternalFuture<List<GridQueryFieldMetadata>>` `metadata()`

### Methods inherited from class org.apache.ignite.internal.processors.cache.query.GridCacheQueryErrorFuture

`available, next`

### Methods inherited from class org.apache.ignite.internal.util.future.GridFinishedFuture

`cancel, chain, concurrentNotify, concurrentNotify, duration, get, get, get, isCancelled, isDone, listenAsync, readExternal, startTime, stopListenAsync, syncNotify, syncNotify, toString, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.query.CacheQueryFuture

`cancel, isDone`

### Methods inherited from interface org.apache.ignite.internal.IgniteInternalFuture

`chain, concurrentNotify, concurrentNotify, duration, get, get, get, isCancelled, listenAsync, startTime, stopListenAsync, syncNotify, syncNotify`

### Constructor Detail

#### GridCacheFieldsQueryErrorFuture

    public GridCacheFieldsQueryErrorFuture(GridKernalContext ctx,
                                   Throwable th,
                                   boolean incMeta)

Parameters:
  `ctx` - Context.
  `th` - Error.
  `incMeta` - Include metadata flag.

### Method Detail

#### metadata

    public IgniteInternalFuture<List<GridQueryFieldMetadata>> metadata()

Returns:
  Metadata.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015